%define	major		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	A daemon to record and keep track of system uptimes
Name:		uptimed
Version:	0.4.6
Release:	%mkrel 3
License:	GPLv2+
Group:		Monitoring
URL:		https://github.com/rpodgorny/uptimed/
Source0:	https://github.com/rpodgorny/uptimed/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		uptimed-linking.patch
BuildRequires:	pkgconfig(libsystemd)

%description
Uptimed is an uptime record daemon keeping track of the highest uptimes the
system ever had. Instead of using a pid file to keep sessions apart from each
other, it uses the system boot time.

Uptimed has the ability to inform you of records and milestones though syslog
and e-mail, and comes with a console front end to parse the records, which can
also easily be used to show your records on your Web page.

%package -n %{libname}
Summary:	Generic libraries need by uptimed
Group:		System/Libraries

%description -n %{libname}
Generic libraries needed by uptimed.

%package -n %{develname}
Summary:	Generic libraries need by uptimed
Group:		Development/Other
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Development files for uptimed.

%prep
%autosetup -p1

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

mkdir -p %{buildroot}/var/spool/%{name}
install -m755 etc/uptimed.service -D %{buildroot}%{_unitdir}/%{name}.service
mv %{buildroot}%{_sysconfdir}/uptimed.conf-dist %{buildroot}%{_sysconfdir}/uptimed.conf

%post
%_post_service %{name}

%files
%doc AUTHORS CREDITS ChangeLog README.md TODO sample-cgi/
%config(noreplace) %{_sysconfdir}/uptimed.conf
%{_unitdir}/%{name}.service
%{_sbindir}/uptimed
%dir /var/spool/uptimed
%{_bindir}/uprecords
%{_mandir}/*/*

%files -n %{libname}
%{_libdir}/libuptimed.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libuptimed.so


%changelog
* Tue Jan 24 2023 wally <wally> 0.4.6-3.mga9
+ Revision: 1935671
- add patch to fix undefined symbols
- fix description

* Thu Mar 24 2022 umeabot <umeabot> 0.4.6-2.mga9
+ Revision: 1824531
- Mageia 9 Mass Rebuild

* Tue Nov 16 2021 solbu <solbu> 0.4.6-1.mga9
+ Revision: 1757306
- New release: 0.4.6

* Thu Aug 12 2021 solbu <solbu> 0.4.4-1.mga9
+ Revision: 1741159
- New release: 0.4.4

* Fri Nov 06 2020 solbu <solbu> 0.4.3-1.mga8
+ Revision: 1643030
- New version: 0.4.3

* Sun Feb 16 2020 umeabot <umeabot> 0.4.2-2.mga8
+ Revision: 1533859
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 24 2019 daviddavid <daviddavid> 0.4.2-1.mga8
+ Revision: 1445588
- new version: 0.4.2

* Sun Sep 23 2018 umeabot <umeabot> 0.4.1-2.mga7
+ Revision: 1301538
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 solbu <solbu> 0.4.1-1.mga7
+ Revision: 1242357
- New version: 0.4.1

* Fri Feb 12 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 959094
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 solbu <solbu> 0.4.0-1.mga6
+ Revision: 847535
- Drop unapplied patches
- New version

* Wed Oct 15 2014 umeabot <umeabot> 0.3.17-3.mga5
+ Revision: 749448
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.17-2.mga5
+ Revision: 690071
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 dams <dams> 0.3.17-1.mga5
+ Revision: 585764
- new version 0.3.17

* Sat Oct 19 2013 umeabot <umeabot> 0.3.16-11.mga4
+ Revision: 531493
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 0.3.16-10.mga4
+ Revision: 463719
- br systemd
- cleanup spec

* Mon Jan 21 2013 colin <colin> 0.3.16-10.mga3
+ Revision: 390453
- Drop sysvinit script and combine systemd unit source with systemd patch.
- Package does not use/ship tmpfiles so do not call it on post-install

* Mon Jan 14 2013 umeabot <umeabot> 0.3.16-9.mga3
+ Revision: 385090
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 0.3.16-8.mga3
+ Revision: 337905
- patch2: fix build with automake 1.13
- systemd units are in _unitdir

* Sun Jul 01 2012 supp <supp> 0.3.16-7.mga3
+ Revision: 266123
- move systemd service to proper place!

* Sun Jul 01 2012 supp <supp> 0.3.16-6.mga3
+ Revision: 266118
- add systemd hook and restore sysv service for compatibility sake

* Sun Jul 01 2012 supp <supp> 0.3.16-5.mga3
+ Revision: 266064
- add actual patch file...
- add systemd service

* Sun Apr 03 2011 supp <supp> 0.3.16-4.mga2
+ Revision: 80223
- really fix missing spool directory issue...

* Sat Apr 02 2011 supp <supp> 0.3.16-3.mga1
+ Revision: 79881
- add LD macro...
- fix missing spool directory...

* Mon Mar 28 2011 supp <supp> 0.3.16-2.mga1
+ Revision: 78208
- imported package uptimed

